<bugID>936973<Summary>list of downloads in Library wastes too much space / entries to wide/large/tall</Summary><Description>User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:24.0) Gecko/20100101 Firefox/24.0 (Beta/Release)
Build ID: 20131030130144

Steps to reproduce:

Install FF 24 ESR.
Download a number of files.
Open Downloads (Tools/Downloads).
View downloads.


Actual results:

Too much wasted space between items listed.


Expected results:

Half the space could have been used.

The new Downloads in the Library is a great idea but using so much space is inconsisant with History and Bookmarks. There is no space between these.

The old browser.download.useToolkitUI method used more space than it needed to but would often lock up FF while the download window was open so I would prefer the new way. 
It's been open for 30 mins and no sign of excess cpu use.</Description></bugID>